# hwloc_obj_attr_u Union Reference
[Topology Objects]

Object type-specific Attributes. More...

`#include <hwloc.h>`

## Data Structures

struct | hwloc_cache_attr_s
| Cache-specific Object Attributes. More...
struct | hwloc_group_attr_s
| Group-specific Object Attributes. More...
struct | hwloc_machine_attr_s
| Machine-specific Object Attributes. More...

## Data Fields

struct hwloc_obj_attr_u::hwloc_cache_attr_s | cache
| Cache-specific Object Attributes.
struct hwloc_obj_attr_u::hwloc_machine_attr_s | machine
| Machine-specific Object Attributes.
struct hwloc_obj_attr_u::hwloc_group_attr_s | group
| Group-specific Object Attributes.

## Detailed Description

Object type-specific Attributes.

## Field Documentation

struct hwloc_obj_attr_u::hwloc_cache_attr_s hwloc_obj_attr_u::cache

Cache-specific Object Attributes.

struct hwloc_obj_attr_u::hwloc_group_attr_s hwloc_obj_attr_u::group

Group-specific Object Attributes.

struct hwloc_obj_attr_u::hwloc_machine_attr_s hwloc_obj_attr_u::machine

Machine-specific Object Attributes.

The documentation for this union was generated from the following file:

- hwloc.h